Summary:	Collection of libraries for use in a WSGI environment
Summary(pl.UTF-8):	Zbiór bibliotek do używania w środowisku WSGI
Name:		python-WSGIUtils
Version:	0.7
Release:	5
Group:		Development/Languages/Python
License:	X11/MIT
Source0:	http://cheeseshop.python.org/packages/source/W/WSGIUtils/WSGIUtils-%{version}.tar.gz
# Source0-md5:	80656ce771bb33eb8ad502c3b674b1fc
URL:		http://www.owlfish.com/software/wsgiutils/
BuildRequires:	python-devel
%pyrequires_eq	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
WSGIUtils is a package of standalone utility libraries that ease the
development of simple WSGI programs. The package is divided into two
main components which can be used individualy or in combination:

- wsgiServer is a multi-threaded WSGI web server based on
  SimpleHTTPServer
- wsgiAdaptor is a simple WSGI application that provides basic
  authentication, signed cookies and persistent sessions

%description -l pl.UTF-8
WSGIUtils to pakiet samodzielnych bibliotek narzędziowych
ułatwiających tworzenie prostych programów WSGI. Pakiet jest
podzielony na dwa główne składniki, których można używać oddzielnie
lub łącznie:

- wsgiServer to wielowątkowy serwer WWW WSGI oparty na
  SimpleHTTPServer
- wsgiAdaptor to prosta aplikacja WSGI udostępniająca podstawowe
  uwierzytelnianie, podpisane ciasteczka i trwałe sesje

%prep
%setup -q -n WSGIUtils-%{version}

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT
%py_install \
	--single-version-externally-managed \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.txt
%{py_sitescriptdir}/wsgiutils*
%{py_sitescriptdir}/WSGIUtils*
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-WSGIUtils.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> b855d66
- release 5 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> df440f5
- automatic change: use py_build/py_install macros

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> a487659
- release 4

* Tue Oct 14 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> f18f79f
- release 3

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 8d8ebba
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 9cbd277
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 7c65ee9
- converted to UTF-8

* Mon Jan 30 2006 Jakub Bogusz <qboosh@pld-linux.org> 7015d81
- pl

* Sat Jan 28 2006 radzio <radzio@pld-linux.org> 7660db4
- fix URLs

* Sat Jan 28 2006 radzio <radzio@pld-linux.org> e64fa1c
- initial release
- TODO: polish translations, better [B]R

